This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 116905 - Canon USB Printer can't print anything except a test page
Canon USB Printer can't print anything except a test page
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-26 03:00 EST by Ron Sokoloski
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:08:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CUPS Error log (17.32 KB, text/plain)
2004-02-26 03:01 EST, Ron Sokoloski
no flags Details

  None (edit)
Description Ron Sokoloski 2004-02-26 03:00:04 EST
Description of problem:

I have a Canon s450 printer that I want to use on both my FC1
workstation and some Windows machines via SAMBA. I've tried the RedHat
Printtool (which would allow the printing of test pages, but nothing
from any application on the linux machine), the CUPS configurator
(http://localhost:631), a RAW queue and manually edited the mime.types
file (for the Unsupported format 'application/octet-stream'! error
fix) all to no avail. The HP LaserJet 4L on the parallel port runs
perfectly.


Version-Release number of selected component (if applicable):
cups-1.1.19-13
Fedora Core 1 - fully updated, no non FC1 pacjages or RPMs

How reproducible:
Every time

Steps to Reproduce:
1.Install Canon S450 printer via printtool. Print a test page. Seems fine.
2.try to print from The GIMP - nothing happens, no error dialogs, no
printing
3.Try to print from a Windows machine - nothing happens, no error
dialogs, no printing
  
Actual results:
Canon USB printer can only print test pages from printtool

Expected results:
Printer available to all applications, and shared via SAMBA

Additional info:
Comment 1 Ron Sokoloski 2004-02-26 03:01:25 EST
Created attachment 98066 [details]
CUPS Error log
Comment 2 Tim Waugh 2004-05-12 13:15:13 EDT
This might be it:

W [24/Feb/2004:02:08:39 -0500] [Job 6] Media tray empty!

This erronious message comes from the kernel I think.
Comment 3 David Lawrence 2004-09-29 16:08:08 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.